package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.cscec.domain.CbCostMeasureActual;
import com.dsk.cscec.domain.bo.CbCostMeasureActualBo;
import com.dsk.cscec.domain.bo.CbCostMeasureActualSaveBo;
import com.dsk.cscec.domain.vo.CbCostMeasureActualVo;
import org.apache.ibatis.annotations.Param;
import org.ehcache.javadoc.PrivateApi;

import java.math.BigDecimal;
import java.util.List;

public interface CbCostMeasureActualMapper extends BaseMapper<CbCostMeasureActual> {
    int insertSelective(CbCostMeasureActual record);

    int updateByPrimaryKeySelective(CbCostMeasureActual record);

    List<CbCostMeasureActualVo> selectDataList(CbCostMeasureActualBo costMeasureActualBo);

    List<CbCostMeasureActualVo> getMonthActualCostList(@Param("projectId") Long projectId,@Param("month") String month);

//    List<CbCostMeasureActualVo> getMonthActualCostListByLevel(@Param("level") Integer level,@Param("projectId") Long projectId,@Param("month") String month);

    BigDecimal selectSumData(CbCostMeasureActualSaveBo bo);

    BigDecimal selectMonthProjectVolumeByLevel(@Param("level") Integer level,@Param("projectId") Long projectId,@Param("month") String month);

    BigDecimal calculateSumDifference(@Param("item") CbCostMeasureActualVo item);
}